# -*- encoding=utf8 -*-
from air_case.public1.public1.public1 import *
from common.db.sql.sql_del_branch_info import delData
from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_a4_流程四_基础模块设置,id2303,id2303-4,sit,on
主数据平台:a_a4_流程四_基础模块设置
python runner_test.py tag id2303-4 debug mdm3
"""

from common.common_func import commonFuc
from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from airtest.core.api import using
import sys
import time

module = "b6_spd3_core_business_flow_database_check"


def check_test1_info():
    print('检查院区数据，科室数据，库房库区数据')
    # 获取实际值
    # 要验证的数据sql
    sql1 = "select * from mcms_branch_info order by create_time desc  LIMIT 1;"
    actual = check_mcms_pur_sql(sql1)
    print('actual', actual)
    id = get_id("select id from mcms_branch_info order by create_time desc  LIMIT 1;")
    branch_id = get_branch_id()
    if branch_id == id:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        commonFuc().check_text_exist_result_text('error', 'succees')
    hos_id = get_hosid()
    name = get_id("select name from mcms_branch_info order by create_time desc  LIMIT 1;")
    address = name
    create_time = get_create_time("select create_time from mcms_branch_info where id='%s';" % id)
    last_modified = get_create_time("select last_modified from mcms_branch_info where id='%s';" % id)
    username=commonFuc().get_business_data('b2_herp3_bs', "username")
    create_user=get_login_user_uxid_bydb(username)
    last_modified_user = create_user
    expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                             'check_mcms_branch_info', id, hos_id, name, address, create_time,create_user
                                             , last_modified, last_modified_user)
    actual_value1 = get_process_list2(actual)
    expected_value1 = get_process_list2(expected)
    actual_value2 = actual_value1.replace(" ", "")
    expected_value2 = expected_value1.replace(" ", "")
    # print('actual_value2',actual_value2)
    print('expected_value2')
    print(expected_value2)
    print('actual_value2')
    print(actual_value2)
    result = (compare_text_index(actual_value2, expected_value2))
    print('result', result)
    if actual_value2 == expected_value2:
        print('ok')
        commonFuc().check_text_exist_result_text('succees', 'succees')
    else:
        print('error')
        commonFuc().check_text_exist_result_text('error', 'succees')
    # 验证科室数据
    # 要验证的数据sql

    for i in range(4):
        sql1 = "select * from sys_org where branch_id='%s' order by create_time desc LIMIT 1 OFFSET %s;"%(branch_id,i)
        actual = check_mcms_pur_sql(sql1)
        print('actual', actual)
        id = get_id("select id from sys_org where branch_id='%s' order by create_time desc LIMIT 1 OFFSET %s;"%(branch_id,i))
        pid =get_id("select pid from sys_org where branch_id='%s' order by create_time desc LIMIT 1 OFFSET %s;"%(branch_id,i))
        code = get_id("select code from sys_org where branch_id='%s' and id='%s';"%(branch_id,id))
        corp_id = get_hosid()
        last_update_datetime = get_create_time("select last_update_datetime from sys_org where id='%s';" % id)
        create_time = get_create_time("select create_time from sys_org where id='%s';" % id)
        last_modified = get_create_time("select last_modified from sys_org where id='%s';" % id)
        if i<3:
            expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                     'check_dept_info'+str(i), id, pid, code, corp_id,branch_id, last_update_datetime
                                                     , create_time, create_user,last_modified_user,last_modified)
        else:
            user_leader_id=get_login_user_uxid_bydb(FileUtils().r_info8('b2_herp3_bs', "用户名信息", 'message3')['username1'])
            expected = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                     'check_dept_info' + str(i), id, pid, code, corp_id, branch_id,
                                                     last_update_datetime
                                                     , create_time, create_user, last_modified_user, last_modified,user_leader_id)

        actual_value1 = get_process_list2(actual)
        expected_value1 = get_process_list2(expected)
        actual_value2 = actual_value1.replace(" ", "")
        expected_value2 = expected_value1.replace(" ", "")
        # print('actual_value2',actual_value2)
        print('expected_value2')
        print(expected_value2)
        print('actual_value2')
        print(actual_value2)
        result = (compare_text_index(actual_value2, expected_value2))
        print('result', result)
        if actual_value2 == expected_value2:
            print('ok')
            commonFuc().check_text_exist_result_text('succees', 'succees')
        else:
            print('error')
            commonFuc().check_text_exist_result_text('error', 'succees')

pro_path = commonFuc().get_pro_path2()
print('pro_path', pro_path)
sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_a4_流程四_基础模块设置.air')
using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_a4_流程四_基础模块设置.air')
from a_a4_流程四_基础模块设置 import test1, test2, grants_user, add_StockArea

try:

    # ==============删除业务数据和报表数据
    # test1()#参数2是新增院区后缀为6位数的参数1是老模式
    # 检查院区数据，科室数据，库房库区数据
    check_test1_info()

    test2()  # 科室添加产品信息(产品是从外网同步过来的)
    dept_query_all()  # 科室查询，将科室id写入文件中
    grants_user()  # 给用户授权
    set_dept_lead1()  # 设置一级科室负责人
    add_StockArea()  # 添加库区
    commonFuc().check_text_exist_result_text('succees', 'succees')
    print('=================流程四结束=================')
except Exception as e:
    commonFuc().check_text_exist_result_text('succees', 'error')
    print("发生异常：", str(e))
